%define  ver     2.8.6
%define  strtag  130518

## directory of icons
%define  icondir  %{_iconsdir}/hicolor

## suggested Japanese fonts package
%define  fontpackage  fonts-ttf-japanese-ipamona

## sound (0:disable  1:enable)
%define  sound  1

## optimization to CPU
%define  native    0
%define  athlon64  0
%define  core2duo  0
%define  atom      0


Name:     jd
Summary:  A 2ch browser
Summary(ja):  2ちゃんねる用ブラウザ
Version:  %{ver}
Release:  %mkrel 1
Group:    Applications/Internet
License:  GPL
URL:      http://jd4linux.sourceforge.jp/
Source0:  jd-%{version}-%{strtag}.tar.xz
Source1:  jd-pclos.desktop

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libtool, automake, autoconf
BuildRequires:  gtkmm2.4-devel >= 2.8
BuildRequires:  libgnutls-devel
BuildRequires:  zlib-devel
BuildRequires:  libsm6-devel
BuildRequires:  %{_lib}glib2.0_0-devel
BuildRequires:  libgdk_pixbuf2.0-devel
%if %{sound}
BuildRequires:  libalsa-devel
%endif

## workaround to build error by missing *.la files
BuildRequires:  %{_lib}glibmm2.4-devel
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:  %{_lib}atk1.0-devel
BuildRequires:  %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:  %{_lib}pixman-devel
BuildRequires:  %{_lib}xrender-devel
BuildRequires:  %{_lib}x11-devel
BuildRequires:  %{_lib}xau-devel
BuildRequires:  %{_lib}xdmcp-devel
BuildRequires:  %{_lib}gpg-error-devel
BuildRequires:  %{_lib}pango1.0-devel

Requires(post,postun):  desktop-file-utils
Requires:  gtkmm2.4 >= 2.8
Requires:  glibmm2.4 >= 2.18.1
Requires:  gnutls, libgnutls
Requires:  zlib
Requires:  pango
Suggests:  %{fontpackage}


%description
JD is a 2ch browser based on gtkmm2.

%description -l ja
JDはgtkmm2ベースの2ちゃんねる用ブラウザです。


%prep
%setup -q -n %{name}-%{version}-%{strtag}
#%%setup -q -n trunk


%build
autoreconf -ivf

## set TZ for __TIME__
export TZ='Asia/Tokyo'

%configure2_5x \
%if %{sound}
 --with-alsa \
%endif
%if %{native}
 --with-native
%endif
%if %{athlon64}
 --with-athlon64
%endif
%if %{core2duo}
 --with-core2duo
%endif
%if %{atom}
 --with-atom
%endif

%make PKG_CONFIG_PATH=`pwd`:%{_libdir}/pkgconfig:%{_datadir}/pkgconfig


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/jd.desktop

for i in 16 32 48 96;do \
  mkdir -p $RPM_BUILD_ROOT%{icondir}/$i"x"$i/apps; \
  install -p -m 644 src/icons/%{name}$i.png $RPM_BUILD_ROOT%{icondir}/$i"x"$i/apps/%{name}.png; \
done


%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_desktop_database

%postun
%clean_desktop_database


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{icondir}/*/apps/%{name}.png


%changelog
* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 2.8.6-1pclos2013
- imported from tomcat
